summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorDavid Herrmann <dh.herrmann@gmail.com>2015-05-07 12:17:37 +0200
committerDavid Herrmann <dh.herrmann@gmail.com>2015-05-07 16:38:44 +0200
commit43a593b5b4097b887e49eaacafbc1337bd709718 (patch)
treefaf1fa480892f1065ab817ac3cb0ee175b5ccc6c /autogen.sh
downloadlibgudev-43a593b5b4097b887e49eaacafbc1337bd709718.tar.gz
Initial import
Import initial libgudev from systemd-218. This includes the libgudev sources, the introspection data and gtk-doc reference documentation.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..f235b50
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME git"
+ exit 1
+}
+
+git submodule update --init --recursive
+
+REQUIRED_AUTOCONF_VERSION=2.64
+REQUIRED_AUTOMAKE_VERSION=1.11
+REQUIRED_INTLTOOL_VERSION=0.40.0
+REQUIRED_PKG_CONFIG_VERSION=0.22
+. gnome-autogen.sh